<?php
// $Id: admin_header.php,v 1.1 2004/07/11 10:28:22 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//

include_once('../../../mainfile.php');
include_once('../config.php');
include_once('../cache/config.php');
include_once('../functions.php');

include_once(XOOPS_ROOT_PATH.'/class/xoopslists.php');
include_once(XOOPS_ROOT_PATH.'/include/cp_functions.php');
include_once(XOOPS_ROOT_PATH.'/class/xoopsform/formdhtmltextarea.php');

if ( $xoopsUser ) {
	$xoopsModule = XoopsModule::getByDirname('newbb');
	if ( !$xoopsUser->isAdmin($xoopsModule->mid()) ) {
		redirect_header(XOOPS_URL.'/', 3, _NOPERM);
		exit();
	}
	} else {
		redirect_header(XOOPS_URL.'/', 3, _NOPERM);
		exit();
	}

if ( @file_exists('../language/'.$xoopsConfig['language'].'/admin.php') ) {
	include_once('../language/'.$xoopsConfig['language'].'/admin.php');
	} else {
		include_once('../language/english/admin.php');
	}

if ( @file_exists('../language/'.$xoopsConfig['language'].'/main.php') ) {
	include_once('../language/'.$xoopsConfig['language'].'/main.php');
	} else {
		include_once('../language/english/main.php');
	}

xoops_cp_header();
OpenTable();
?>
